<?php

if ( !defined('REDBLOG') )
{
	die("Permission denied");
}

// show header

if (admin_logged_in()) {
	$template->assign_block_vars('switch_admin_panel',array(
		'LANG_HOME' => $lang['home'],
		'LANG_GENERAL' => $lang['general_config'],
		'LANG_CHANGE_PWD' => $lang['change_pwd'],
		'LANG_STATS' => $lang['stats'],
		'LANG_LOGOUT' => $lang['logout'])
	);

	
	// Fill admin panel with links to modules admin
	foreach ( $modules as $i => $module) {
		if ( $module['isinstalled'] && $module['isenabled'] ) {
			$template->assign_block_vars('switch_admin_panel.menuitem', array(
				'MODULE_ADMIN_URL' => './../modules/'.$module['name'].'/admin/',
				'MODULE_NAME' => $module['name'])
			);
		}
	}
}
else {
	$template->assign_block_vars('switch_no_admin_panel', array());
}

$template->set_rootdir($root_path . 'html/' . $config['template']);

$template->set_filenames(array(
	'page_header' =>  'admin/page_header.html')
);

if ( check_gd_and_ttf() ) {
	$banner_src = $root_path."imgen.php?tpl=".$config['template'];
}
else {
	if ( file_exists($root_path."html/".$config['template']."/images/redblog.png") ) {
		$banner_src = $root_path."html/".$config['template']."/images/redblog.png";
	}
	else {
		$banner_src = $root_path."html/".$config['template']."/images/redblog.jpg";
	}
}

$template->assign_vars(array(
	'ROOT_PATH' => $root_path,
	'BANNER_SRC' => $banner_src)
);

$template->pparse('page_header');

?>
