<?php
/***************************************************************************
 *                             modules_functions.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *   web		  : http://redblog.sf.net
 *
 *   modules_functions.php   start 18 October 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/


/* This function return an array with the content of modules dir */
function scan_for_modules() {
	global $root_path;

	$modules = array();

	if ( !$handle = opendir($root_path."modules") ) {
		die ("Can't open modules directory!");
	}
	$i = 0;
	while (false !== ($module = readdir($handle))) {
		if ($module != "." && $module != "..") {			
			$modules[$i] = $module;
			$i++;
		}
	}
	closedir($handle);
	return $modules;
}

/* This function return an array with modules info from db */
function get_modules_from_db () {
	global $db;

	$sql = "SELECT * FROM ". MODULES_TABLE;
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query modules table!");
	}
	$modules = array();
	$i = 0;
	while ( $row = $db->sql_fetchrow($result) ) {
		$modules[$i]['name'] = $row['name'];
		$modules[$i]['isenabled'] = $row['isenabled'];
		$modules[$i]['isinstalled'] = $row['isinstalled'];
		$i++;
	}
	return $modules;
}


/* 
	This function scan modules dir
	and update modules table if it find a new module
*/

function update_modules_table () {
	global $db, $modules;
	
	$dir_modules = scan_for_modules();
	foreach ( $dir_modules as $i => $module) {
		$is_new = true;
		for ( $i = 0; $i < count($modules); $i++) {
			if ( $module == $modules[$i]['name'] ) {
				$is_new = false;
			}
		}
		if ( $is_new ) {
			$sql = "INSERT INTO " . MODULES_TABLE . " VALUES ('".$module."',0 ,0)";
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't store module data");
			}
		}
	}

}

function is_enabled_module ( $name ) {
	global $db;
	$sql = "SELECT isenabled FROM ". MODULES_TABLE ." WHERE name='".$name."'";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query modules table" .$sql);
	}
	if ( $row = $db->sql_fetchrow() ) {
		if ( $row['isenabled'] == 1 ) {
			return true;
		}
	}	
	return false;
}


function is_installed_module ( $name ) {
	global $db;
	$sql = "SELECT isinstalled FROM ". MODULES_TABLE ." WHERE name='".$name."'";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query modules table");
	}
	if ( $row = $db->sql_fetchrow() ) {
		if ( $row['isinstalled'] == 1 ) {
			return true;
		}
	}	
	return false;
}


?>
