DROP TABLE IF EXISTS `red_general_config`;
CREATE TABLE `red_general_config` (
  `config_name` varchar(255) NOT NULL default '',
  `config_value` varchar(255) NOT NULL default ''
) TYPE=MyISAM;

INSERT INTO `red_general_config` VALUES ('language', 'english');
INSERT INTO `red_general_config` VALUES ('template', 'snaily');
INSERT INTO `red_general_config` VALUES ('time_difference', '0');
INSERT INTO `red_general_config` VALUES ('date_format', 'j - M - y @ H:i');
INSERT INTO `red_general_config` VALUES ('banner_text', 'redblog');


DROP TABLE IF EXISTS `red_online_users`;
CREATE TABLE `red_online_users` (
  `id` int(12) NOT NULL auto_increment,
  `ip` varchar(16) NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `red_referers`;
CREATE TABLE `red_referers` (
  `referer_id` int(12) NOT NULL auto_increment,
  `referer_desc` text NOT NULL,
  `referer_time` int(11) NOT NULL default '0',
  `referer_access_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`referer_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `red_smiles`;
CREATE TABLE `red_smiles` (
  `smile_code` varchar(10) NOT NULL default '',
  `smile_img` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`smile_code`)
) TYPE=MyISAM;

INSERT INTO `red_smiles` VALUES (':-)', 'icon_smile.gif');
INSERT INTO `red_smiles` VALUES (':D', 'icon_biggrin.gif');
INSERT INTO `red_smiles` VALUES (':-D', 'icon_biggrin.gif');
INSERT INTO `red_smiles` VALUES (':)', 'icon_smile.gif');
INSERT INTO `red_smiles` VALUES (';)', 'icon_wink.gif');
INSERT INTO `red_smiles` VALUES (':(', 'icon_sad.gif');
INSERT INTO `red_smiles` VALUES (':-(', 'icon_sad.gif');
INSERT INTO `red_smiles` VALUES (':o', 'icon_surprised.gif');
INSERT INTO `red_smiles` VALUES (':-o', 'icon_surprised.gif');
INSERT INTO `red_smiles` VALUES (':shock:', 'icon_eek.gif');
INSERT INTO `red_smiles` VALUES (':?', 'icon_confused.gif');
INSERT INTO `red_smiles` VALUES (':-?', 'icon_confused.gif');
INSERT INTO `red_smiles` VALUES ('8)', 'icon_cool.gif');
INSERT INTO `red_smiles` VALUES ('8-)', 'icon_cool.gif');
INSERT INTO `red_smiles` VALUES (':lol:', 'icon_lol.gif');
INSERT INTO `red_smiles` VALUES (':x', 'icon_mad.gif');
INSERT INTO `red_smiles` VALUES (':-x', 'icon_mad.gif');
INSERT INTO `red_smiles` VALUES (':P', 'icon_razz.gif');
INSERT INTO `red_smiles` VALUES (':-P', 'icon_razz.gif');
INSERT INTO `red_smiles` VALUES (':hoh:', 'icon_redface.gif');
INSERT INTO `red_smiles` VALUES (':cry:', 'icon_cry.gif');
INSERT INTO `red_smiles` VALUES (':evil:', 'icon_evil.gif');
INSERT INTO `red_smiles` VALUES (':twisted:', 'icon_twisted.gif');
INSERT INTO `red_smiles` VALUES (':green:', 'icon_mrgreen.gif');

DROP TABLE IF EXISTS `red_stats`;
CREATE TABLE `red_stats` (
  `year` smallint(4) NOT NULL default '0',
  `month` tinyint(2) NOT NULL default '0',
  `day` tinyint(2) NOT NULL default '0',
  `pages` int(11) NOT NULL default '0',
  PRIMARY KEY  (`year`,`month`,`day`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `red_modules`;
CREATE TABLE `red_modules` (
  `name` varchar(255) NOT NULL default '',
  `isenabled` tinyint(1) NOT NULL default '0',
  `isinstalled` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;
